Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156201 - convert: unable to read font `/usr/share/fonts/default/TrueType/arial.ttf'
Summary: convert: unable to read font `/usr/share/fonts/default/TrueType/arial.ttf'
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Norm Murray
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 12:59 UTC by Rick Richardson
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-23 08:21:34 UTC


Attachments (Terms of Use)

Description Rick Richardson 2005-04-28 12:59:42 UTC
convert: unable to read font `/usr/share/fonts/default/TrueType/arial.ttf'

This was not a problem until ImageMagick was upgraded.

Comment 1 Rick Richardson 2005-04-28 13:04:28 UTC
ImageMagick-6.2.2.0-1.fc3

is the broken version.

Comment 2 Rick Richardson 2005-04-28 15:05:54 UTC
$ strings /usr/lib/libMagick.so.6.2.2 | grep arial
arial
-*-arial-medium-r-normal--12-*-*-*-*-*-iso8859-1
-*-arial-medium-r-normal--12-*-*-*-*-*-iso8859-15


Comment 3 Frank Swasey 2005-08-16 18:12:52 UTC
I'm seeing the same problem with ImageMagick-6.2.2.0-3.fc4.0 which was installed
as part of yum upgrade on June 22, 2005.

When can we expect a fix for this?

Comment 4 Frank Swasey 2005-08-17 13:24:39 UTC
Found a workaround... specify "-font ps:Helvetica" on the command line.  At
least it works in FC4's implemenation of this problem.

Comment 5 Matthew Miller 2006-07-10 20:22:31 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 6 Matthew Miller 2006-07-10 21:01:44 UTC
(Note that fc4 is entering legacy status in a few weeks....)

Comment 7 Rick Richardson 2006-07-10 21:17:10 UTC
So fix the bug!!!!

Comment 8 Matthew Miller 2006-07-11 03:37:25 UTC
Ideally, yeah. However, unfortunately, the Legacy team doesn't have the
resources for non-security issues, so Red Hat / Core will need to fix this in
the next several weeks or it is unlikely to ever be fixed for Fedora Core 4. I
personally have no influence over this whatsoever.


Note You need to log in before you can comment on or make changes to this bug.